pkgsrc-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[pkgsrc/trunk]: pkgsrc/geography/epsg rename loader script to epsg-load, and ...
details: https://anonhg.NetBSD.org/pkgsrc/rev/a999ffef8740
branches: trunk
changeset: 519498:a999ffef8740
user: gdt <gdt%pkgsrc.org@localhost>
date: Wed Oct 04 14:25:57 2006 +0000
description:
rename loader script to epsg-load, and install in ${PREFIX}/bin
PKGREVISION++
diffstat:
geography/epsg/MESSAGE | 6 +-
geography/epsg/Makefile | 12 +--
geography/epsg/PLIST | 5 +-
geography/epsg/files/epsg-load | 116 +++++++++++++++++++++++++++++++++++++++++
geography/epsg/files/epsg.sh | 116 -----------------------------------------
5 files changed, 126 insertions(+), 129 deletions(-)
diffs (truncated from 322 to 300 lines):
diff -r df77f23f6358 -r a999ffef8740 geography/epsg/MESSAGE
--- a/geography/epsg/MESSAGE Wed Oct 04 12:19:53 2006 +0000
+++ b/geography/epsg/MESSAGE Wed Oct 04 14:25:57 2006 +0000
@@ -1,9 +1,9 @@
===========================================================================
-$NetBSD: MESSAGE,v 1.2 2006/10/03 12:53:44 gdt Exp $
+$NetBSD: MESSAGE,v 1.3 2006/10/04 14:25:57 gdt Exp $
Before the EPSG data can be used, it must be installed into a
-relational database. The data files are installed in ${EPSGDIR}. For
-an example script that will install the data, see ${EGDIR}/epsg.
+relational database. The data files are installed in ${EPSGDIR}. A
+script "epsg-load" to install the data is provided.
See the following two documents, which are located in ${DOCDIR},
for a complete description of the dataset.
diff -r df77f23f6358 -r a999ffef8740 geography/epsg/Makefile
--- a/geography/epsg/Makefile Wed Oct 04 12:19:53 2006 +0000
+++ b/geography/epsg/Makefile Wed Oct 04 14:25:57 2006 +0000
@@ -1,9 +1,9 @@
-# $NetBSD: Makefile,v 1.3 2006/10/03 12:53:44 gdt Exp $
+# $NetBSD: Makefile,v 1.4 2006/10/04 14:25:57 gdt Exp $
#
DISTNAME= epsg-v6_11sql-PostgreSQL
PKGNAME= epsg-6.11
-PKGREVISION= 1
+PKGREVISION= 2
CATEGORIES= geography databases
MASTER_SITES+= http://www.epsg.org/databases/
DISTFILES+= epsg-v6_11sql-PostgreSQL.zip \
@@ -31,12 +31,11 @@
NO_BUILD= yes
+BINDIR= ${PREFIX}/bin
DOCDIR= ${PREFIX}/share/doc/epsg
-EGDIR= ${PREFIX}/share/examples/epsg
EPSGDIR= ${PREFIX}/share/epsg
MESSAGE_SUBST+= DOCDIR=${DOCDIR:Q}
-MESSAGE_SUBST+= EGDIR=${EGDIR:Q}
MESSAGE_SUBST+= EPSGDIR=${EPSGDIR:Q}
DATAFILES.pgsql+= EPSG_v6_11.mdb_Data_PostgreSQL.sql
@@ -57,16 +56,15 @@
post-extract:
${CP} ${_DISTDIR}/G7-1.pdf ${WRKSRC}
${CP} ${_DISTDIR}/G7-2.pdf ${WRKSRC}
- ${CP} ${FILESDIR}/epsg.sh ${WRKSRC}
+ ${CP} ${FILESDIR}/epsg-load ${WRKSRC}
do-install:
${INSTALL_DATA_DIR} ${DOCDIR}
- ${INSTALL_DATA_DIR} ${EGDIR}
${INSTALL_DATA_DIR} ${EPSGDIR}
${INSTALL_DATA} ${WRKSRC}/G7-1.pdf ${DOCDIR:Q}
${INSTALL_DATA} ${WRKSRC}/G7-2.pdf ${DOCDIR:Q}
${INSTALL_DATA} ${WRKSRC}/epsg-v6_11-readme.pdf ${DOCDIR:Q}
- ${INSTALL_SCRIPT} ${WRKSRC}/epsg.sh ${EGDIR}/epsg
+ ${INSTALL_SCRIPT} ${WRKSRC}/epsg-load ${BINDIR}
.for d in pgsql mysql
.for f in ${DATAFILES.${d}}
${INSTALL_DATA} ${WRKSRC.${d}}/${f} ${EPSGDIR:Q}/${f}
diff -r df77f23f6358 -r a999ffef8740 geography/epsg/PLIST
--- a/geography/epsg/PLIST Wed Oct 04 12:19:53 2006 +0000
+++ b/geography/epsg/PLIST Wed Oct 04 14:25:57 2006 +0000
@@ -1,4 +1,5 @@
-@comment $NetBSD: PLIST,v 1.2 2006/10/03 12:53:44 gdt Exp $
+@comment $NetBSD: PLIST,v 1.3 2006/10/04 14:25:57 gdt Exp $
+bin/epsg-load
share/doc/epsg/G7-1.pdf
share/doc/epsg/G7-2.pdf
share/doc/epsg/epsg-v6_11-readme.pdf
@@ -8,7 +9,5 @@
share/epsg/EPSG_v6_11.mdb_FKeys_PostgreSQL.sql
share/epsg/EPSG_v6_11.mdb_Tables_MySQL.sql
share/epsg/EPSG_v6_11.mdb_Tables_PostgreSQL.sql
-share/examples/epsg/epsg
-@dirrm share/examples/epsg
@dirrm share/epsg
@dirrm share/doc/epsg
diff -r df77f23f6358 -r a999ffef8740 geography/epsg/files/epsg-load
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/geography/epsg/files/epsg-load Wed Oct 04 14:25:57 2006 +0000
@@ -0,0 +1,116 @@
+#!/bin/sh
+# $NetBSD: epsg-load,v 1.1 2006/10/04 14:25:57 gdt Exp $
+
+# epsg - import EPSG data into a relational database
+
+# Copyright (c) 2006 Brook Milligan <brook%nmsu.edu@localhost>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+#
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following
+# disclaimer in the documentation and/or other materials provided
+# with the distribution.
+# 3. The name of the author may not be used to endorse or promote
+# products derived from this software without specific prior
+# written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
+# OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
+# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+HOST=
+PORT=
+DB=epsg
+USERNAME=$USER
+
+HELP=0
+USE_PGSQL=0
+USE_MYSQL=0
+
+SRCDIR=${EPSGDIR}
+
+PSQL=${PREFIX}/bin/psql
+MYSQL=${PREFIX}/bin/mysql
+
+if [ $# = 0 ]; then
+ HELP=1
+fi
+
+while [ $# -gt 0 ]; do
+ case $1 in
+ --help) HELP=1;;
+ --dbname) DB=$2; shift;;
+ --host) HOST=$2; shift;;
+ --mysql) USE_MYSQL=1;;
+ --port) PORT=$2; shift;;
+ --pgsql) USE_PGSQL=1;;
+ --srcdir) SRCDIR=$2; shift;;
+ --username) USERNAME=$2; shift;;
+ *) HELP=1; echo "epsg: unrecognized option: $1";;
+ esac
+ shift;
+done
+
+if [ $HELP -eq 1 ]; then
+ echo "epsg -- load the EPSG dataset into a database"
+ echo "usage: epsg [options]"
+ echo "options:"
+ echo " --help [ print a help message ]"
+ echo " --pgsql [ connect to a PostgreSQL database ]"
+ echo " --mysql [ connect to a mySQL database ]"
+ echo " --host hostname [ connect to a specific host ]"
+ echo " --port port [ connect to a specific port ]"
+ echo " --dbname database [ connect to a specific database ]"
+ echo " --username user [ connect as user ]"
+ exit 1
+fi
+
+echo "epsg - importing EPSG data ..."
+if [ "$HOST" != "" ]; then
+ echo " host: $HOST"
+ PSQL_FLAGS="$PSQL_FLAGS --host $HOST"
+ MYSQL_FLAGS="$MYSQL_FLAGS --host=$HOST"
+fi
+if [ "$PORT" != "" ]; then
+ echo " port: $PORT"
+ PSQL_FLAGS="$PSQL_FLAGS --port $PORT"
+ MYSQL_FLAGS="$MYSQL_FLAGS --port=$PORT"
+fi
+if [ "$DB" != "" ]; then
+ echo " database: $DB"
+ PSQL_FLAGS="$PSQL_FLAGS --dbname $DB"
+ MYSQL_FLAGS="$MYSQL_FLAGS --database=$DB"
+fi
+if [ "$USERNAME" != "" ]; then
+ echo " username: $USERNAME"
+ PSQL_FLAGS="$PSQL_FLAGS --username $USERNAME"
+ MYSQL_FLAGS="$MYSQL_FLAGS --user=$USERNAME"
+fi
+
+if [ $USE_PGSQL -eq 1 ]; then
+ echo "importing into a PostgreSQL database ..."
+ $PSQL -f $SRCDIR/EPSG_v6_11.mdb_Tables_PostgreSQL.sql $PSQL_FLAGS
+ $PSQL -f $SRCDIR/EPSG_v6_11.mdb_Data_PostgreSQL.sql $PSQL_FLAGS
+ $PSQL -f $SRCDIR/EPSG_v6_11.mdb_FKeys_PostgreSQL.sql $PSQL_FLAGS
+fi
+
+if [ $USE_MYSQL -eq 1 ]; then
+ echo "importing into a mySQL database ..."
+ $MYSQL $MYSQL_FLAGS < $SRCDIR/EPSG_v6_11.mdb_Tables_MySQL.sql
+ $MYSQL $MYSQL_FLAGS < $SRCDIR/EPSG_v6_11.mdb_Data_MySQL.sql
+ $MYSQL $MYSQL_FLAGS < $SRCDIR/EPSG_v6_11.mdb_FKeys_MySQL.sql
+fi
diff -r df77f23f6358 -r a999ffef8740 geography/epsg/files/epsg.sh
--- a/geography/epsg/files/epsg.sh Wed Oct 04 12:19:53 2006 +0000
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,116 +0,0 @@
-#!/bin/sh
-# $NetBSD: epsg.sh,v 1.2 2006/10/03 12:55:47 gdt Exp $
-
-# epsg - import EPSG data into a relational database
-
-# Copyright (c) 2006 Brook Milligan <brook%nmsu.edu@localhost>
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-#
-# 1. Redistributions of source code must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-# 2. Redistributions in binary form must reproduce the above
-# copyright notice, this list of conditions and the following
-# disclaimer in the documentation and/or other materials provided
-# with the distribution.
-# 3. The name of the author may not be used to endorse or promote
-# products derived from this software without specific prior
-# written permission.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
-# OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
-# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
-# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
-# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
-# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
-# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-HOST=
-PORT=
-DB=epsg
-USERNAME=$USER
-
-HELP=0
-USE_PGSQL=0
-USE_MYSQL=0
-
-SRCDIR=${EPSGDIR}
-
-PSQL=${PREFIX}/bin/psql
-MYSQL=${PREFIX}/bin/mysql
-
-if [ $# = 0 ]; then
- HELP=1
-fi
-
-while [ $# -gt 0 ]; do
- case $1 in
- --help) HELP=1;;
- --dbname) DB=$2; shift;;
- --host) HOST=$2; shift;;
- --mysql) USE_MYSQL=1;;
- --port) PORT=$2; shift;;
- --pgsql) USE_PGSQL=1;;
- --srcdir) SRCDIR=$2; shift;;
- --username) USERNAME=$2; shift;;
- *) HELP=1; echo "epsg: unrecognized option: $1";;
- esac
- shift;
-done
-
-if [ $HELP -eq 1 ]; then
- echo "epsg -- load the EPSG dataset into a database"
- echo "usage: epsg [options]"
- echo "options:"
- echo " --help [ print a help message ]"
- echo " --pgsql [ connect to a PostgreSQL database ]"
- echo " --mysql [ connect to a mySQL database ]"
- echo " --host hostname [ connect to a specific host ]"
- echo " --port port [ connect to a specific port ]"
- echo " --dbname database [ connect to a specific database ]"
- echo " --username user [ connect as user ]"
- exit 1
-fi
-
-echo "epsg - importing EPSG data ..."
-if [ "$HOST" != "" ]; then
- echo " host: $HOST"
- PSQL_FLAGS="$PSQL_FLAGS --host $HOST"
- MYSQL_FLAGS="$MYSQL_FLAGS --host=$HOST"
-fi
-if [ "$PORT" != "" ]; then
- echo " port: $PORT"
- PSQL_FLAGS="$PSQL_FLAGS --port $PORT"
- MYSQL_FLAGS="$MYSQL_FLAGS --port=$PORT"
-fi
-if [ "$DB" != "" ]; then
- echo " database: $DB"
Home |
Main Index |
Thread Index |
Old Index